# Class FacetSearch

Used by the Facet component to render and handle the facet search part of each facet.

## Index

### Methods

- build
- dismissSearchResults
- focus
- positionSearchResults
- triggerNewFacetSearch

## Methods

### build

- build(): HTMLElement

- - Defined in ui/Facet/FacetSearch.ts :71

  Build the search component and return an `HTMLElement` which can be appended to the Facet.

  #### Returns HTMLElement

### dismissSearchResults

- dismissSearchResults(): void

- - Defined in ui/Facet/FacetSearch.ts :89

  Dismiss the search results

  #### Returns void

### focus

- focus(): void

- - Defined in ui/Facet/FacetSearch.ts :147

  Trigger the event associated with the focus of the search input.

  #### Returns void

### positionSearchResults

- positionSearchResults(): void

- - Defined in ui/Facet/FacetSearch.ts :78

  Position the search results at the footer of the facet.

  #### Returns void

### triggerNewFacetSearch

- triggerNewFacetSearch(params: FacetSearchParameters): void

- - Defined in ui/Facet/FacetSearch.ts :106

  Trigger a new facet search, and display the results.

  #### Parameters

  - ##### params: FacetSearchParameters

  #### Returns void

### Hierarchy

- FacetSearch

### Implements

- IFacetSearch